/* Light */
@font-face {
  font-family: "Roobert";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Light.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Light.ttf")
      format("truetype");
  font-weight: 300;
  font-style: normal;
}

/* Light Italic */
@font-face {
  font-family: "Roobert";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-LightItalic.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-LightItalic.ttf")
      format("truetype");
  font-weight: 300;
  font-style: italic;
}

/* Regular */
@font-face {
  font-family: "Roobert";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Regular.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Regular.ttf")
      format("truetype");
  font-weight: normal;
  font-style: normal;
}

/* Italic */
@font-face {
  font-family: "Roobert";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Italic.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Italic.ttf")
      format("truetype");
  font-weight: normal;
  font-style: italic;
}

/* Medium */
@font-face {
  font-family: "Roobert";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Medium.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Medium.ttf")
      format("truetype");
  font-weight: medium;
  font-style: normal;
}

/* Medium Italic */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-MediumItalic.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-MediumItalic.ttf")
      format("truetype");
  font-weight: medium;
  font-style: italic;
}

/* Bold */
@font-face {
  font-family: "Roobert";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Bold.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-Bold.ttf")
      format("truetype");
  font-weight: bold;
  font-style: normal;
}

/* Bold Italic */
@font-face {
  font-family: "Roobert";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-BoldItalic.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/Roobert-BoldItalic.ttf")
      format("truetype");
  font-weight: bold;
  font-style: italic;
}

/* Medium SemiMono */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/RoobertSemiMono-Medium.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/RoobertSemiMono-Medium.ttf")
      format("truetype");
  font-weight: medium;
  font-style: normal;
}

/* Medium Italic SemiMono */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/RoobertSemiMono-MediumItalic.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/RoobertSemiMono-MediumItalic.ttf")
      format("truetype");
  font-weight: medium;
  font-style: italic;
}

/* SemiBold SemiMono */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/RoobertSemiMono-SemiBold.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/RoobertSemiMono-SemiBold.ttf")
      format("truetype");
  font-weight: bold;
  font-style: normal;
}

/* SemiBold Italic SemiMono */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("https://cdn1.suno.ai/groove-assets/public/fonts/RoobertSemiMono-SemiBoldItalic.ttf")
      format("truetype"),
    url("https://cdn1.suno.ai/groove-assets/public/fonts/RoobertSemiMono-SemiBoldItalic.ttf")
      format("truetype");
  font-weight: bold;
  font-style: italic;
}

body,
html {
  height: 100%;
  overflow: hidden;
  /* background-color: #202837; */
  /* border: 1px solid rgba(0, 0, 0, 0.10); */
  background: radial-gradient(
    50% 50% at 22.19% 50%,
    #0e0808 0%,
    #000000 30%,
    #1a1a1a 100%
  );
}

/* :root {
  --max-width: 1100px;
  --border-radius: 12px;
  --font-mono: ui-monospace, Menlo, Monaco, "Cascadia Mono", "Segoe UI Mono",
    "Roboto Mono", "Oxygen Mono", "Ubuntu Monospace", "Source Code Pro",
    "Fira Mono", "Droid Sans Mono", "Courier New", monospace;

  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;

  --primary-glow: conic-gradient(
    from 180deg at 50% 50%,
    #16abff33 0deg,
    #0885ff33 55deg,
    #54d6ff33 120deg,
    #0071ff33 160deg,
    transparent 360deg
  );
  --secondary-glow: radial-gradient(
    rgba(255, 255, 255, 1),
    rgba(255, 255, 255, 0)
  );

  --tile-start-rgb: 239, 245, 249;
  --tile-end-rgb: 228, 232, 233;
  --tile-border: conic-gradient(
    #00000080,
    #00000040,
    #00000030,
    #00000020,
    #00000010,
    #00000010,
    #00000080
  );

  --callout-rgb: 238, 240, 241;
  --callout-border-rgb: 172, 175, 176;
  --card-rgb: 180, 185, 188;
  --card-border-rgb: 131, 134, 135;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;

    --primary-glow: radial-gradient(rgba(1, 65, 255, 0.4), rgba(1, 65, 255, 0));
    --secondary-glow: linear-gradient(
      to bottom right,
      rgba(1, 65, 255, 0),
      rgba(1, 65, 255, 0),
      rgba(1, 65, 255, 0.3)
    );

    --tile-start-rgb: 2, 13, 46;
    --tile-end-rgb: 2, 5, 19;
    --tile-border: conic-gradient(
      #ffffff80,
      #ffffff40,
      #ffffff30,
      #ffffff20,
      #ffffff10,
      #ffffff10,
      #ffffff80
    );

    --callout-rgb: 20, 20, 20;
    --callout-border-rgb: 108, 108, 108;
    --card-rgb: 100, 100, 100;
    --card-border-rgb: 200, 200, 200;
  }
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html,
body {
  max-width: 100vw;
  overflow-x: hidden;
}

body {
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(
      to bottom,
      transparent,
      rgb(var(--background-end-rgb))
    )
    rgb(var(--background-start-rgb));
}

a {
  color: inherit;
  text-decoration: none;
}

@media (prefers-color-scheme: dark) {
  html {
    color-scheme: dark;
  }
} */

/* PP Neue Montreal */
@font-face {
  font-family: "PP Neue Montreal";
  src: url("/fonts/PPNeueMontreal-Book.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "PP Neue Montreal";
  src: url("/fonts/PPNeueMontreal-Italic.otf") format("opentype");
  font-weight: normal;
  font-style: italic;
}

@font-face {
  font-family: "PP Neue Montreal";
  src: url("/fonts/PPNeueMontreal-Medium.otf") format("opentype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "PP Neue Montreal";
  src: url("/fonts/PPNeueMontreal-SemiBold.otf") format("opentype");
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: "PP Neue Montreal";
  src: url("/fonts/PPNeueMontreal-Bold.otf") format("opentype");
  font-weight: bold;
  font-style: normal;
}

/* PP Editorial New */
@font-face {
  font-family: "PP Editorial New";
  src: url("/fonts/PPEditorialNew-Light.otf") format("opentype");
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: "PP Editorial New";
  src: url("/fonts/PPEditorialNew-Regular.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "PP Editorial New";
  src: url("/fonts/PPEditorialNew-Italic.otf") format("opentype");
  font-weight: normal;
  font-style: italic;
}

/* Input Sans */
@font-face {
  font-family: "Input Sans";
  src: url("/fonts/InputSans-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Input Sans";
  src: url("/fonts/InputSans-Italic.ttf") format("truetype");
  font-weight: normal;
  font-style: italic;
}

@font-face {
  font-family: "Input Sans";
  src: url("/fonts/InputSans-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "Input Sans";
  src: url("/fonts/InputSans-MediumItalic.ttf") format("truetype");
  font-weight: 500;
  font-style: italic;
}

@font-face {
  font-family: "Input Sans";
  src: url("/fonts/InputSans-Bold.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: "Input Sans";
  src: url("/fonts/InputSans-BoldItalic.ttf") format("truetype");
  font-weight: bold;
  font-style: italic;
}
